Scilab Function
Last update : 16/06/2004

square - échelle isométrique 2D (change la taille de la fenêtre)

### Calling Sequence

  `square(xmin,ymin,xmax,ymax)`

### Parameters

- `xmin,xmax,ymin,ymax` : 4 valeurs réelles

### Description

`square` est utilisée pour avoir une échelle identique sur les axes x et y. Les valeurs `xmin, xmax, ymin, ymax` sont les bornes du dessin et `square` change les dimensions de la fenêtre graphique pour que les échelles soient identiques. `square` change l'échelle graphique courante et peut être utilisée en conjonction avec les routines graphiques nécessitant que l'échelle soit définie au préalable (mode `fstrf="x0z"` dans `plot2d`).

### Examples

    t=[0:0.1:2*%pi]';
    plot2d(sin(t),cos(t))
    xbasc()
    square(-1,-1,1,1)
    plot2d(sin(t),cos(t))
    xset("default")

### See Also

`isoview`, `xsetech`,

### Author

Steer S.